TAAS - Feature #212

Recurring Documents Summary
06/27/2023 08:52 PM - Junaid M

Status: Reopen Bugs Testing Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Shilpa Pavithran % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Recurring Documents Summary

Description

Coding Recurring Documents Summary

History

#1 - 11/17/2023 12:21 PM - Anonymous
GUI CHANGES

*ADD MANDATORY FIELD ON MAIN DOC PERIOD
*ADD BLUE STAR ON SUB DOC INCLUDED PERIOD

#2 - 08/01/2024 01:19 PM - Anil KV

->Status

Tick-Not Started(Document Creation)
Tick-Part Completed(Some Documents Created)
Tick-Fully Completed(Full Documents Created)
Tick-Includ Canceled Documents
UnTick-Deleted

-> Add a colunsafter Pending - Cancel (Count)
—-> Pending to Pending (Count)

—-> last Column Details icon - redirect to 'Recurring Documents Details'
-> Grid 'Status' Column value

—-Not Started(Document Creation)

—Part Completed(Some Documents Created)
—-Fully Completed(Full Documents Created)
—-Deleted

SQL

-> Discus with Anil

Ref: https://www.db-fiddle.com/£f/2VWyUD9YnFcFCMbJkfz6YS/0

Select m.remarks,
Count (d.status) filter (where d.status
Count (d.status) filter (where d.status 2) as status2_cnt,
Count (d.status) filter (where d.status = 3) as status3_cnt

From master m

Inner Join details d ON( d.m_id = m.m_id )

Group By m.remarks

1) as statusl_cnt,

#3 - 08/01/2024 02:23 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#4 - 08/22/2024 12:09 PM - Anonymous

- Assignee changed from travvise Admin to Bertin Joseph

#5 - 10/15/2024 11:56 AM - Anil KV
- Assignee changed from Bertin Joseph to Amal Ck
#6 - 10/24/2024 03:28 PM - Junaid M
- Assignee changed from Amal Ck to Shilpa Pavithran

#7 - 10/26/2024 11:01 AM - Shilpa Pavithran
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#8 - 10/30/2024 02:20 PM - Shilpa Pavithran
- Status changed from Coding Started to Ready for Coding
- % Done changed from 30 to 20

#9 - 11/08/2024 03:33 PM - Shilpa Pavithran
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#10 - 11/12/2024 06:49 PM - Shilpa Pavithran
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#11 - 01/30/2025 12:29 PM - Theja Ponon
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1)ISSUE ON STATUS FILTERING
2)ISSUE ON REDIRECTION TO DETAIL PAGE

3)DOCUMENT NUMBER IS NOT REDIRECTING TO DOCUMENT MODULE

#12 - 02/04/2025 09:24 AM - Shilpa Pavithran

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#13 - 02/07/2025 11:41 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
